#include "raylib.h"
#include <stdio.h>
#include <math.h>


void Vector3Print(Vector3 v) {
    printf("VX: %f, VY: %f, FZ: %f\n", v.x, v.y, v.z);
}

void Vector2Print(Vector2 v) {
	printf("VX: %f, VY: %f\n", v.x,v.y);
}

Vector3 RotateAboutX(Vector3 v, double radians) {
    Vector3 rotatedvector;
    rotatedvector.x = 1 * v.x + (0) + (0);
    rotatedvector.y = (0) + cos(radians) * v.y + (-sin(radians) * v.z);
    rotatedvector.z = 0 + sin(radians) * v.y + cos(radians) * v.z;
    return rotatedvector;
}
Vector3 RotateAboutY(Vector3 v, double radians) {
    Vector3 rotatedvector;
    rotatedvector.x = cos(radians) * v.x + (0) + sin(radians) * v.z;
    rotatedvector.y = (0) + 1 * v.y + (0);
    rotatedvector.z = -sin(radians) * v.x + 0 + cos(radians) * v.z;
    return rotatedvector;
}

Vector3 RotateAboutZ(Vector3 v, double radians) {
    Vector3 rotatedvector;
    rotatedvector.x = cos(radians) * v.x + (-sin(radians) * v.y) + (0);
    rotatedvector.y = sin(radians) * v.x + cos(radians) * v.y + (0);
    rotatedvector.z = 0 + 0 + 1 * v.z;
	//Vector3Print(rotatedvector);
    return rotatedvector;
}
